View Issue Details

IDProjectCategoryView StatusLast Update
0000722FreeCADBugpublic2012-06-05 17:33
ReporterjmaustpcAssigned Toyorik 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platform32bitOSKubuntu also reported UbuntuOS Version12.04 - 10.04
Product Version 
Target VersionFixed in Version0.13 
Summary0000722: creating then deleting a Draft dimention crashes or locks up FreeCAD
DescriptionFrom the forum

https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=1771&p=19600#p19600

with the example file, delete the dimension, then replace it, then delete the replacement, do this a few times and FreeCAD with lock up or crash.
Steps To ReproduceMy first attempt I started FreeCAD, opened the file aguseguedre posted. Deleted his dimension, no problems, went to Part WB inserted a cube, hide the cube, back to Draft WB add the dimension again in the same place as the original was, then deleted that new dimension,.....FreeCAD crashed.

Second attempt, this time I started FreeCAD from the command line to get the output. Open the file, go to draft wb, delete the dimension, recreated the dimension, in the same location as the original, deleted that 2nd dimension, still no problems, but then I created another dimension (if it makes any difference, this third dimension was on the opposite side of the line from the original), now when I deleted the this third dimension FreeCAD locked up.
TagsNo tags attached.

Activities

2012-05-24 23:24

 

Line before hang.fcstd (Attachment missing)

yorik

2012-06-05 17:33

administrator   ~0002135

Fixed in 19e747d

Issue History

Date Modified Username Field Change
2012-05-24 23:24 jmaustpc New Issue
2012-05-24 23:24 jmaustpc File Added: Line before hang.fcstd
2012-05-25 11:33 yorik Status new => assigned
2012-05-25 11:33 yorik Assigned To => yorik
2012-06-05 17:33 yorik Note Added: 0002135
2012-06-05 17:33 yorik Status assigned => closed
2012-06-05 17:33 yorik Resolution open => fixed
2012-06-05 17:33 yorik Fixed in Version => 0.13